* {
  margin:0;
}

html, body {
  overflow: hidden
}

.container {
  xbackground: linear-gradient(217deg, rgba(255,0,0,.8), rgba(255,0,0,0) 70.71%),
            linear-gradient(127deg, rgba(0,255,0,.8), rgba(0,255,0,0) 70.71%),
            linear-gradient(336deg, rgba(0,0,255,.8), rgba(0,0,255,0) 70.71%);


  background: linear-gradient(217deg, rgba(219, 219, 219, 0.8), rgba(255, 253, 222, 0) 70.71%),
    linear-gradient(127deg, rgba(200,200,200,.8), rgba(0,255,0,0) 70.71%),
    linear-gradient(336deg, rgba(120,120,120,.8), rgba(0,0,255,0) 70.71%);

  height:100vh;
  margin:0;
  padding:0;
}

.navbar {
  background: linear-gradient(.25turn, red 10%, blue);
}

.leftNav {
  background: linear-gradient(red, orange 10% 30%, yellow 50% 70%, green 90%);
}

.footer {
  background: linear-gradient(45deg, blue, red);

  position: relative;
  margin-top: -180px;
  /* negative value of footer height */
  height: 180px;
  clear: both;
  xbackground-color: red;
}

.input {
  background: rgba(9,9,9,0.08);
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

@media (prefers-reduced-motion: no-preference) {
  .App-logo {
    xanimation: App-logo-spin infinite 20s linear;
  }
}

.xApp-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.xApp-link {
  color: #61dafb;
}

@keyframes App-logo-spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.nav {
  background-color: #eee;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 2.5rem;
  padding: 1.25rem;
}

.nav ul {
  padding: 0;
  margin: 0;
  list-style: none;
  display: flex;
  gap: 0.25rem;
}

.nav a {
  color:  inherit;
  text-decoration: none;
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0.5rem;
}

.xnav li.active {
  xbackground-color: #ddd;
}

.xnav li:hover {
  xcolor:  inherit;
  xbackground-color: #eee;
}

body {
  font-family: "Lato", sans-serif;
}

.sidebar-open {
  height: 100%;
  width: 250px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #ddd;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  transform: translateX(0);
}

.sidebar-closed {
  height: 100%;
  width: 250px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #ddd;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
  transform: translateX(-100%);
}

.sidebar-open a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 14px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidebar-open a:hover {
  color: #111;
  font-size: 24px;
}

.sidebar-open .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

.sidebar-closed a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidebar-closed a:hover {
  color: #111111;
}

.sidebar-closed .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

.main-sidebar-open {
  transition: margin-left 0.5s;
  margin-left: 250px;
}

.main-sidebar-closed {
  transition: margin-left 0.5s;
  margin-left: 0px;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
  .sidebar {padding-top: 15px;}
  .sidebar a {font-size: 18px;}
}

.icon-rotate {
  transition: 0.5s;
  transform: rotate(0deg);
}

.icon-rotate:hover {
  transition: 0.5s;
  transform: rotate(180deg);
  font-size: 39px;
}

.icon-rotate-fast {
  transition: 0.3s;
  transform: rotate(0deg);
}

.icon-rotate-fast:hover {
  transition: 0.3s;
  transform: rotate(360deg);
  font-size: 25px;
}
